package com.jxdinfo.hussar.core.bouncycastle.asn1;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jxdinfo.hussar.core.base.warpper.BaseControllerWarpper;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1Object;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1OctetString;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1TaggedObject;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERObject;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DEROutputStream;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERString;
import com.jxdinfo.hussar.core.cache.CacheEntry;
import java.io.IOException;

public class DERNumericString extends ASN1Object implements DERString {
  String finally;
  
  public static boolean isNumericString(String a) {
    // Byte code:
    //   0: aload_0
    //   1: invokevirtual length : ()I
    //   4: iconst_1
    //   5: isub
    //   6: dup
    //   7: istore_1
    //   8: iflt -> 57
    //   11: aload_0
    //   12: iload_1
    //   13: invokevirtual charAt : (I)C
    //   16: dup
    //   17: istore_2
    //   18: bipush #127
    //   20: if_icmple -> 26
    //   23: iconst_0
    //   24: ireturn
    //   25: pop
    //   26: bipush #48
    //   28: iload_2
    //   29: if_icmpgt -> 38
    //   32: iload_2
    //   33: bipush #57
    //   35: if_icmple -> 50
    //   38: iload_2
    //   39: bipush #32
    //   41: if_icmpne -> 48
    //   44: goto -> 50
    //   47: iconst_0
    //   48: iconst_0
    //   49: ireturn
    //   50: iinc #1, -1
    //   53: iload_1
    //   54: goto -> 8
    //   57: iconst_1
    //   58: ireturn
    // Local variable table:
    //   start	length	slot	name	descriptor
    //   0	59	0	a	Ljava/lang/String;
  }
  
  public String toString() {
    return this.finally;
  }
  
  void encode(DEROutputStream dEROutputStream) throws IOException {
    dEROutputStream.double(18, getOctets());
  }
  
  public String getString() {
    return this.finally;
  }
  
  boolean asn1Equals(DERObject dERObject) {
    if (!(dERObject instanceof com.jxdinfo.hussar.core.bouncycastle.asn1.DERNumericString))
      return false; 
    while (true) {
      com.jxdinfo.hussar.core.bouncycastle.asn1.DERNumericString dERNumericString = (com.jxdinfo.hussar.core.bouncycastle.asn1.DERNumericString)dERObject;
      return getString().equals(dERNumericString.getString());
    } 
  }
  
  public int hashCode() {
    return getString().hashCode();
  }
  
  public static com.jxdinfo.hussar.core.bouncycastle.asn1.DERNumericString getInstance(ASN1TaggedObject a, int i) {
    DERObject dERObject = a.getObject();
    if (i != 0 || dERObject instanceof com.jxdinfo.hussar.core.bouncycastle.asn1.DERNumericString)
      return getInstance(dERObject); 
    while (true)
      return new com.jxdinfo.hussar.core.bouncycastle.asn1.DERNumericString(ASN1OctetString.getInstance(dERObject).getOctets()); 
  }
  
  public byte[] getOctets() {
    // Byte code:
    //   0: aload_0
    //   1: getfield finally : Ljava/lang/String;
    //   4: invokevirtual toCharArray : ()[C
    //   7: dup
    //   8: astore_1
    //   9: arraylength
    //   10: newarray byte
    //   12: iconst_1
    //   13: dup
    //   14: pop2
    //   15: astore_2
    //   16: iconst_0
    //   17: dup
    //   18: istore_3
    //   19: aload_1
    //   20: arraylength
    //   21: if_icmpeq -> 39
    //   24: aload_2
    //   25: aload_1
    //   26: iload_3
    //   27: dup_x1
    //   28: caload
    //   29: i2b
    //   30: iinc #3, 1
    //   33: bastore
    //   34: iload_3
    //   35: goto -> 19
    //   38: pop
    //   39: aload_2
    //   40: areturn
    // Local variable table:
    //   start	length	slot	name	descriptor
    //   0	41	0	a	Lcom/jxdinfo/hussar/core/bouncycastle/asn1/DERNumericString;
  }
  
  public DERNumericString(String str) {
    this(str, false);
  }
  
  public static com.jxdinfo.hussar.core.bouncycastle.asn1.DERNumericString getInstance(Object a) {
    if (a == null || a instanceof com.jxdinfo.hussar.core.bouncycastle.asn1.DERNumericString)
      return (com.jxdinfo.hussar.core.bouncycastle.asn1.DERNumericString)a; 
    while (true)
      throw new IllegalArgumentException((new StringBuilder()).insert(0, BaseControllerWarpper.finally("%H&Z6Y:\0210S5V>Vlv\037\0301@?k\"D-Y8V>\t}")).append(a.getClass().getName()).toString()); 
  }
  
  public DERNumericString(byte[] arrayOfByte) {
    // Byte code:
    //   0: aload_1
    //   1: aload_0
    //   2: invokespecial <init> : ()V
    //   5: arraylength
    //   6: newarray char
    //   8: iconst_1
    //   9: dup
    //   10: pop2
    //   11: astore_2
    //   12: iconst_0
    //   13: dup
    //   14: istore_3
    //   15: aload_2
    //   16: arraylength
    //   17: if_icmpeq -> 39
    //   20: aload_2
    //   21: aload_1
    //   22: iload_3
    //   23: dup_x1
    //   24: baload
    //   25: sipush #255
    //   28: iand
    //   29: i2c
    //   30: iinc #3, 1
    //   33: castore
    //   34: iload_3
    //   35: goto -> 15
    //   38: pop
    //   39: aload_0
    //   40: new java/lang/String
    //   43: dup
    //   44: aload_2
    //   45: invokespecial <init> : ([C)V
    //   48: putfield finally : Ljava/lang/String;
    //   51: return
    // Local variable table:
    //   start	length	slot	name	descriptor
    //   0	52	0	a	Lcom/jxdinfo/hussar/core/bouncycastle/asn1/DERNumericString;
    //   0	52	1	a	[B
  }
  
  public DERNumericString(String str, int i) {
    if (i != 0 && !isNumericString(str))
      throw new IllegalArgumentException(CacheEntry.abstract("l\020e\005n\034;\003~\004U;o\023s[r\fp\002r\017\"\025x\b}\025z\003r\030>D")); 
    this.finally = str;
  }
}
